org.artoolkitx.arx.arxj.rendering.shader_impl

## Class Line

- java.lang.Object
- - org.artoolkitx.arx.arxj.rendering.shader_impl.Line

- All Implemented Interfaces:
    ARDrawable

      public class Line
      extends java.lang.Object
      implements ARDrawable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Line(float width)`
    `Line(float width, ShaderProgram shaderProgram)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `draw(float[] projectionMatrix, float[] modelViewMatrix)`
    `void` | `draw(GL10 gl)`
    `float[]` | `getColor()`
    `java.nio.FloatBuffer` | `getColorBuffer()`
    `float[]` | `getEnd()`
    `java.nio.FloatBuffer` | `getMVertexBuffer()`
    `float[]` | `getStart()`
    `float` | `getWidth()`
    `void` | `setColor(float[] color)`
    `void` | `setEnd(float[] end)`
    `void` | `setShaderProgram(ShaderProgram program)`
    `void` | `setStart(float[] start)`
    `void` | `setWidth(float width)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Line

          public Line(float width)

      Parameters:
        `width` - Width of the line

    - #### Line

          public Line(float width,
                      ShaderProgram shaderProgram)

  - ### Method Detail

    - #### draw

          public void draw(GL10 gl)

    - #### getWidth

          public float getWidth()

    - #### setWidth

          public void setWidth(float width)

    - #### getMVertexBuffer

          public java.nio.FloatBuffer getMVertexBuffer()

    - #### getStart

          public float[] getStart()

    - #### setStart

          public void setStart(float[] start)

    - #### getEnd

          public float[] getEnd()

    - #### setEnd

          public void setEnd(float[] end)

    - #### getColor

          public float[] getColor()

    - #### setColor

          public void setColor(float[] color)

    - #### getColorBuffer

          public java.nio.FloatBuffer getColorBuffer()

    - #### draw

          public void draw(float[] projectionMatrix,
                           float[] modelViewMatrix)

      Specified by:
        `draw` in interface `ARDrawable`

    - #### setShaderProgram

          public void setShaderProgram(ShaderProgram program)

      Specified by:
        `setShaderProgram` in interface `ARDrawable`